%define perlversion 5.8.7
%define perlname DateManip

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	perl DateManip Module.
Name:		perl-%{perlname}
Version:	5.44
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=DateManip
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
perl DateManip Module.
For more details see: http://search.cpan.org/search?module=DateManip

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{perlname}-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 5.44-3
- Rebuild against Perl 5.8.8
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 5.44-2
- Rebuild against Perl 5.8.7
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 5.44-1
- Version update
* Mon Apr 19 2004 Christian Metzen <metzench@ccux.de> 5.42a-1
- Initial Release
